(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     38850,       1103]*)
(*NotebookOutlinePosition[     39606,       1129]*)
(*  CellTagsIndexPosition[     39562,       1125]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["DecisionModels", "Title",
  CellMargins->{{-1.5, Inherited}, {Inherited, Inherited}},
  TextAlignment->Center,
  TextJustification->0],

Cell[TextData[{
  "Ein ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "-Paket zur Modellierung und L\[ODoubleDot]sung von Entscheidungsproblemen"
}], "Subsubtitle",
  CellMargins->{{7, Inherited}, {Inherited, Inherited}},
  TextAlignment->Center,
  TextJustification->0],

Cell[CellGroupData[{

Cell["Referenz", "Section"],

Cell[CellGroupData[{

Cell["Titel", "Subsubsection"],

Cell[TextData[StyleBox["DecisionModels",
  FontSlant->"Italic"]], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Autor", "Subsubsection"],

Cell["Alfred Schreiber", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kurzbeschreibung", "Subsubsection"],

Cell["\<\
Das Paket enth\[ADoubleDot]lt diverse Funktionen, die mit der \
Modellierung und L\[ODoubleDot]sung von Entscheidungsproblemen zu tun \
haben.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Copyright", "Subsubsection"],

Cell["\<\
\[Copyright] Copyright 2004, Prof. Dr. Alfred Schreiber, Universit\
\[ADoubleDot]t Flensburg\
\>", "Text"],

Cell[TextData[StyleBox["Permission is granted to distribute this file for any \
purpose except for inclusion in commercial software or program collections. \
This copyright notice must remain intact.",
  FontSlant->"Italic"]], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Notebook-Version", "Subsubsection"],

Cell["1.0", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["Mathematica-",
    FontSlant->"Italic"],
  "Version"
}], "Subsubsection"],

Cell["5.0", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Updates", "Subsubsection"],

Cell["\<\
24.03.2004: Beginn des Pakets
02.07.2004: Version 1.0\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Schl\[UDoubleDot]sselw\[ODoubleDot]rter", "Subsubsection"],

Cell["\<\
Datenaufbereitung, Skalennormierung, Nutzenfunktionen, \
Wertfunktionen, Zahlungsreihen, Barwert und Rendite, Entscheidungsregeln \
(nach Hurwicz, Savage, Laplace, Bernoulli), Risikoanalyse, \
Zweipersonen-Nullsummenspiele\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Quellen", "Subsubsection"],

Cell[TextData[{
  "Meine Vorlesung ",
  StyleBox["Entscheidungsmodelle",
    FontSlant->"Italic"],
  " (Sommersemester 2004, Universit\[ADoubleDot]t Flensburg) sowie: ",
  StyleBox["Eisenf\[UDoubleDot]hr/Weber",
    FontVariations->{"Underline"->True}],
  ", Rationales Entscheiden (Springer 1999); ",
  StyleBox["Laux",
    FontVariations->{"Underline"->True}],
  ", Entscheidungstheorie (Springer 1998); ",
  StyleBox["Luce/Raiffa",
    FontVariations->{"Underline"->True}],
  ", Games and Decisions (Wiley 1957); ",
  StyleBox["Burger",
    FontVariations->{"Underline"->True}],
  ", Einf\[UDoubleDot]hrung in die Theorie der Spiele (de Gruyter 1966). Die \
Implementierung der Funktion ",
  StyleBox["PositiveInvestmentQ",
    FontFamily->"Courier New",
    FontWeight->"Bold"],
  " beruht auf einem Resultat von ",
  StyleBox["P. Bender",
    FontVariations->{"Underline"->True}],
  ": Der interne Zinssatz bei beliebigen Investitionen (Preprint Uni \
Paderborn, 1990)."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Hinweis", "Subsubsection"],

Cell[TextData[{
  "Die Datei ",
  StyleBox["DecisionModels.m",
    FontFamily->"Courier New",
    FontWeight->"Bold"],
  " ist in den ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "-Verzeichnispfad ",
  StyleBox["\\AddOns\\ExtraPackages\\DecisionModels",
    FontFamily->"Courier New",
    FontWeight->"Bold"],
  " zu kopieren. Das Paket wird dann auf Notebook-Ebene eingelesen mit:"
}], "Text"],

Cell[BoxData[
    \(Needs["\<DecisionModels`DecisionModels`\>"]\)], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Interface", "Section",
  InitializationCell->True],

Cell["\<\
Dieser Abschnitt erkl\[ADoubleDot]rt die \[ODoubleDot]ffentlichen \
Funktionen, Optionen und Werte.\
\>", "Text"],

Cell[CellGroupData[{

Cell["Paket-Kontext definieren", "Subsection",
  InitializationCell->True],

Cell["BeginPackage[\"DecisionModels`DecisionModels`\"]", "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Benutzungshinweise f\[UDoubleDot]r die exportierten Funktionen", \
"Subsection",
  InitializationCell->True],

Cell[CellGroupData[{

Cell["Gruppe 1: Datenaufbereitung", "Subsubsection"],

Cell[BoxData[
    \(DecisionMatrix::usage = "\<DecisionMatrix[g,a,b] berechnet die \
Konsequenzen-Matrix der Werte g(x,y) zu gegebenen Strategien x (aus a) und y \
(aus b).\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(ScaleTransform::usage = "\<ScaleTransform[{a0,b0},{a1,b1}] ist die \
lineare (monoton wachsende) Funktion, die das Intervall [a0;b0] auf das \
Intervall [a1;b1] abbildet.\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(ScaleNorm::usage = "\<ScaleNorm[a,b] ist die Skalentransformation (vgl. \
ScaleTransform), die das Intervall [a;b] auf das Einheitsintervall [0;1] \
abbildet.\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(NormalizeValue::usage = "\<NormalizeValue[x,{xmin,xmax}] berechnet den \
Wert von x unter der Skalentransformation, die das reelle Intervall \
[xmin;xmax] auf das Einheitsintervall [0;1] abbildet.\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(NormalizeRange::usage = "\<NormalizeRange[data] bildet den gesamten \
Datenbereich data durch eine Skalentransformation auf das Einheitsintervall \
[0;1] ab.\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(NormalizeFunction::usage = "\<NormalizeFunction[f,{a,b}] berechnet die \
Skalen-Normierte der reellen Funktion f \[UDoubleDot]ber dem abgeschlossenen \
Intervall [a;b].\>"\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Gruppe 2: Nutzenfunktionen", "Subsubsection"],

Cell[BoxData[
    \(LinUtility::usage = "\<LinUtility[k0,k1,Normalize->False] ist die \
lineare (Nutzen-)funktion u[c]=k0+k1*c. Mit der Option Normalize->{a,b} wird \
die Skalen-Normierte \[UDoubleDot]ber dem Intervall [a;b] ausgegeben.\>"\)], \
"Input",
  InitializationCell->True],

Cell[BoxData[
    \(QuadUtility::usage = "\<QuadUtility[k0,k1,k2] ist die quadratische \
(Nutzen-)Funktion u[c]=k0+k1*c+k2*c^2.\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(ExpUtility::usage = "\<ExpUtility[k0,k1,k2] ist die exponentielle \
(Nutzen-)Funktion u[c]=k0+k1*Exp[k2*c].\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(LogUtility::usage = "\<LogUtility[k0,k1] ist die (Nutzen-)Funktion \
u[c]=k0+k1*Log[c]. Mit der Option Normalize->{a,b} wird die Skalen-Normierte \
\[UDoubleDot]ber dem Intervall [a;b] (0<a<b) ausgegeben.\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(SqrtUtility::usage = "\<SqrtUtility[k0,k1] ist die (Nutzen-)Funktion \
u[c]=k0+k1*Sqrt[c]. Mit der Option Normalize->{a,b} wird die Skalen-Normierte \
\[UDoubleDot]ber dem Intervall [a;b] (0<=a<b) ausgegeben.\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(CompoundUtility::usage = "\<CompoundUtility[scores,maxscore,weights] \
berechnet zu gegebener Nutzwertfolge scores relativ zum Maximalwert maxscore \
den gemischten (= gewichteten) Nutzenwert. Die Liste weights \
enth\[ADoubleDot]lt die erforderlichen Gewichte in passender Anzahl (= Anzahl \
zu mischender Werte).\>"\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Gruppe 3: Zahlungsreihen", "Subsubsection"],

Cell[BoxData[
    \(PresentValue::usage = "\<PresentValue[c,q] berechnet den Barwert der \
Zahlungsreihe (Liste c) bei vorliegender Liste q von Diskontierungsfaktoren. \
Bedingung: L\[ADoubleDot]nge von c = 1 + L\[ADoubleDot]nge von q.\>"\)], \
"Input",
  InitializationCell->True],

Cell[BoxData[
    \(PresentValueAtRate::usage = "\<PresentValueAtRate[c,r] berechnet den \
Barwert der Zahlungsreihe (Liste c) bei der kalkulatorischen Zinsrate \
r.\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(PresentValueGraph::usage = "\<PresentValueGraph[c,rmin,rmax,(Optionen)] \
zeichnet den Funktionsgraphen zu PresentValueAtRate[c,r].\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(InterestRatePoly::usage = "\<InterestRatePoly[c] berechnet die (reine) \
Polynomfunktion zur Zahlungsreihe c (Liste).\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(InterestRateRealZeros::usage = "\<InterestRateRealZeros[c] berechnet \
die Menge der reellen Nullstellen des Polynoms InterestRatePoly[c]. Vgl. auch \
InternalRate[c].\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(InternalRate::usage = "\<InternalRate[c,(rstart)] berechnet f\
\[UDoubleDot]r die Zahlungsreihe c (Liste) die interne Zinsrate (Rendite). \
Der optionale Startwert rstart ist auf 0 voreingestellt.\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(PositiveInvestmentQ::usage = "\<PositiveInvestmentQ[c] entscheidet f\
\[UDoubleDot]r Zahlungsreihen c (Liste)mit positiver Nettosumme, ob sie eine \
eindeutige positive Rendite besitzen.\>"\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Gruppe 4: Entscheidungsmethoden", "Subsubsection"],

Cell[BoxData[
    \(HurwiczValue::usage = "\<HurwiczValue[u,lambda] berechnet den Wert \
eines Nutzenvektors u bei angenommenem Optimismus-Parameter lambda.\>"\)], \
"Input",
  InitializationCell->True],

Cell[BoxData[
    \(HurwiczSolve::usage = "\<HurwiczSolve[u,lambda] berechnet die L\
\[ODoubleDot]sungsmenge eines Entscheidungsproblems mit Nutzenmatrix u bei \
angenommenem Optimismus-Parameter lambda.\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(MaximinSolve::usage = "\<MaximinSolve[u] berechnet die \
L\[ODoubleDot]sungsmenge eines Entscheidungsproblems mit Nutzenmatrix u bei v\
\[ODoubleDot]lligem Pessimismus (Hurwicz-Lambda = 0).\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(MaximaxSolve::usage = "\<MaximaxSolve[u] berechnet die \
L\[ODoubleDot]sungsmenge eines Entscheidungsproblems mit Nutzenmatrix u bei v\
\[ODoubleDot]lligem Optimismus (Hurwicz-Lambda = 1).\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(RegretMatrix::usage = "\<RegretMatrix[u] berechnet aus der Nutzenmatrix \
u die zugeh\[ODoubleDot]rige Matrix der Bedauernswerte nach L. Savage.\>"\)], \
"Input",
  InitializationCell->True],

Cell[BoxData[
    \(SavageSolve::usage = "\<SavageSolve[u] berechnet die \
L\[ODoubleDot]sungsmenge eines Entscheidungsproblems mit der Nutzenmatrix u \
nach dem 'minimization of regret'-Verfahren nach L. Savage.\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(\(Expectation::usage\)\(=\)\("\<Expectation[c,p] berechnet den \
Erwartungswert der Zufallsvariablen c (Liste) bei der \
Wahrscheinlichkeitsverteilung p (Liste).\>"\)\(\ \)\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(ExpectedUtility::usage = "\<ExpectedUtility[u,c,prob] berechnet den \
Nutzenerwartungswert eines Nutzenvektors u[c] bei vorliegender \
Wahrscheinlichkeitsverteilung prob (Liste).\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(BernoulliSolve::usage = "\<BernoulliSolve[u,prob] berechnet die L\
\[ODoubleDot]sungsmenge eines Entscheidungsproblems mit der Nutzenmatrix u \
nach Bernoullis Regel vom maximalen Erwartungswert unter der \
Wahrscheinlichkeitsverteilung prob (Liste).\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(LaplaceSolve::usage = "\<LaplaceSolve[u] berechnet die \
L\[ODoubleDot]sungsmenge eines Entscheidungsproblems mit der Nutzenmatrix u \
nach der Regel vom maximalen Erwartungswert unter der Annahme gleicher \
Wahrscheinlichkeiten.\>"\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Gruppe 5: Risikoanalyse", "Subsubsection"],

Cell[BoxData[
    \(CertaintyEquivalent::usage = "\<CertaintyEquivalent[u,{cmin,cmax},c,p] \
sucht im Intervall [cmin;cmax] ein Sicherheits\[ADoubleDot]quivalent zu einer \
riskanten Alternative mit dem Konsequenzenvektor c (Liste) bei vorgegebener \
Wahrscheinlichkeitsverteilung p (Liste).\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(RiskPremium::usage = "\<RiskPremium[u,{cmin,cmax},c,p] berechnet die \
Risikopr\[ADoubleDot]mie (soweit \[UDoubleDot]ber dem Intervall [cmin;cmax] \
vorhanden) eines Entscheiders (mit Nutzenfunktion u) bei Entscheidung f\
\[UDoubleDot]r eine riskante Alternative mit dem Konsequenzenvektor c (Liste) \
und vorgegebener Wahrscheinlichkeitsverteilung p (Liste).\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(AbsoluteRiskFunction::usage = "\<AbsoluteRiskFunction[u] berechnet zu \
zweimal-differenzierbarer Nutzenfunktion u das zugeh\[ODoubleDot]rige \
Risikoeinstellungsma\[SZ] nach Arrow und Pratt in Form einer reinen Funktion.\
\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(RelativeRiskFunction::usage = "\<RelativeRiskFunction[u] berechnet zu \
zweimal-differenzierbarer Nutzenfunktion u das zugeh\[ODoubleDot]rige \
relative (proportionale) Risikoeinstellungsma\[SZ] nach Arrow und Pratt in \
Form einer reinen Funktion.\>"\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Gruppe 6: Zweipersonenspiele", "Subsubsection"],

Cell[BoxData[
    \(ReduceLines::usage = "\<ReduceLines[m] streicht in der \
Entscheidungsmatrix m alle dominierten Zeilen.\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(ReduceColumns::usage = "\<ReduceColumns[m] streicht in der \
Entscheidungsmatrix m alle dominierten Spalten.\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(MaximinSet::usage = "\<MaximinSet[g] berechnet den Maximin-Wert \
(kleinsten Wert) eines Zweipersonenspiels mit der Auszahlungsmatrix g \
zusammen mit der zugeh\[ODoubleDot]rigen Strategienmenge.\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(MinimaxSet::usage = "\<MinimaxSet[g] berechnet den Minimax-Wert (gr\
\[ODoubleDot]\[SZ]ten Wert) eines Zweipersonenspiels mit der \
Auszahlungsmatrix g zusammen mit der zugeh\[ODoubleDot]rigen Strategienmenge.\
\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(SaddlepointSolution::usage = "\<SaddlepointSolution[g] berechnet \
(sofern vorhanden) den Wert eines Zweipersonenspiels mit der \
Auszahlungsmatrix g zusammen mit der Menge der zugeh\[ODoubleDot]rigen \
Strategienpaare (Sattelpunkt-L\[ODoubleDot]sungen).\>"\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(MixedStrategySolution::usage = "\<MixedStrategySolution[g] berechnet \
den Wert und die optimalen gemischten Strategien eines \
Zweipersonen-Nullsummenspiels mit der Auszahlungsmatrix g (nach dem \
Minimax-Theorem).\>"\)], "Input",
  InitializationCell->True]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Optionen f\[UDoubleDot]r exportierte Objekte", "Subsection"],

Cell[CellGroupData[{

Cell["Gruppe 2: Nutzenfunktionen", "Subsubsection"],

Cell[BoxData[
    \(\(Options[UtilityFunctionOpt] = {Normalize \[Rule] False};\)\)], "Input",\

  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Gruppe 3: Zahlungsreihen", "Subsubsection"],

Cell[BoxData[
    \(\(Options[PresentValueGraph] = 
        Join[Options[
            Plot], {PlotStyle \[Rule] {RGBColor[0.6, 0.1, 0.4], 
                Hue[1, 0.5, 0.7], Thickness[0.004]}}];\)\)], "Input",
  InitializationCell->True]
}, Closed]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Implementierung", "Section",
  InitializationCell->True],

Cell["\<\
Dieser Teil enth\[ADoubleDot]lt die eigentlichen Definitionen und \
Hilfsfunktionen, die von au\[SZ]en nicht sichtbar sein sollen.\
\>", "Text"],

Cell[CellGroupData[{

Cell["Beginn des privaten Kontextes (Implementierungsteil)", "Subsection",
  InitializationCell->True],

Cell["Begin[\"`Private`\"]", "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Definition von Hilfsfunktionen und lokalen Variablen ", "Subsection"],

Cell[CellGroupData[{

Cell["Gruppe 2: Nutzenfunktionen", "Subsubsection"],

Cell[BoxData[
    \(UtilityFunctionOpt[opts___?OptionQ] := 
      Module[{opt, a, b, 
          nm = False}, \[IndentingNewLine]opt = \(Normalize /. {opts}\) /. 
            Options[UtilityFunctionOpt]; \[IndentingNewLine]Switch[
          opt, {_, _}, {a, b} = opt; 
          nm = True]; \[IndentingNewLine]{nm, {a, 
            b}}\[IndentingNewLine]]\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Gruppe 3: Zahlungsreihen", "Subsubsection"],

Cell[BoxData[
    \(SignChanges[f_List /; VectorQ[f, NumberQ]] := 
      Module[{scno = 0}, \[IndentingNewLine]Do[
          scno = scno + If[Sign[f[\([i]\)]*f[\([i + 1]\)]] < 0, 1, 0], {i, 1, 
            Length[f] - 1}]; \[IndentingNewLine]scno]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(TransformedCashflow[c_List /; VectorQ[c, NumberQ]] := 
      Module[{n = Length[c], t, tcf = {}}, \[IndentingNewLine]Do[
          t = Sum[Binomial[n - i, k - i]*c[\([i]\)], {i, 1, 
                k}]; \[IndentingNewLine]AppendTo[tcf, 
            t], \[IndentingNewLine]{k, 1, 
            Length[c]}]; \[IndentingNewLine]tcf]\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Gruppe 4: Entscheidungsmethoden", "Subsubsection"],

Cell[BoxData[
    \(DisplaySolutions[v_List /; VectorQ[v, NumberQ]] := 
      Flatten[Position[v, Max[v]]]\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Gruppe 6: Zweipersonenspiele", "Subsubsection"],

Cell[BoxData[
    \(DominatesQ[a_List /; VectorQ[a, NumberQ], 
        b_List /; VectorQ[b, NumberQ]] := \((Select[
            a - b, # < 0 &] \[Equal] {})\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(DominationList[v_List /; VectorQ[v, NumberQ], 
        mat_List /; MatrixQ[mat, NumberQ]] := 
      Select[mat, DominatesQ[v, #] &]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(DominationPositionList[v_List, mat_List] := 
      Module[{poslist = {}, domlist}, \[IndentingNewLine]domlist = 
          DominationList[v, mat]; \[IndentingNewLine]Do[
          AppendTo[poslist, Position[mat, domlist[\([i]\)]]], {i, 1, 
            Length[domlist]}]; \[IndentingNewLine]Flatten[poslist, 
          1]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(PositiveShift[m_List /; MatrixQ[m, NumberQ]] := 
      Module[{mm = m, ps}, \[IndentingNewLine]ps = 
          Min[mm]; \[IndentingNewLine]If[ps \[LessEqual] 0, 1 + Abs[ps], 
          0]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Definition der exportierten Funktionen", "Subsection",
  InitializationCell->True],

Cell[CellGroupData[{

Cell["Gruppe 1: Datenaufbereitung", "Subsubsection",
  InitializationCell->True],

Cell[BoxData[
    \(DecisionMatrix[g_, a_List /; VectorQ[a], b_List /; VectorQ[b]] := 
      Outer[g, a, b]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(ScaleTransform[{a0_ /; NumberQ[a0], 
          b0_ /; NumberQ[b0]}, {a1_ /; NumberQ[a1], b1_ /; NumberQ[b1]}] := 
      Module[{h}, \[IndentingNewLine]If[a0 > b0, h = a0; a0 = b0; 
          b0 = h]; \[IndentingNewLine]If[a1 > b1, h = a1; a1 = b1; 
          b1 = h]; \[IndentingNewLine]If[
          a0 \[NotEqual] b0, \[IndentingNewLine]Function[x, 
            x*\((b1 - a1)\)/\((b0 - a0)\) + \((a1*b0 - a0*b1)\)/\((b0 - 
                    a0)\)]]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(ScaleNorm[a_ /; NumberQ[a], b_ /; NumberQ[b]] := 
      ScaleTransform[{a, b}, {0, 1}]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(NormalizeValue[
        x_ /; NumberQ[x], {xmin_ /; NumberQ[xmin], 
          xmax_ /; NumberQ[xmax]}] := \(ScaleNorm[xmin, xmax]\)[x]\)], "Input",\

  InitializationCell->True],

Cell[BoxData[
    \(NormalizeRange[data_List] := 
      Module[{datamin = Min[data], 
          datamax = Max[data]}, \[IndentingNewLine]\(ScaleNorm[datamin, 
            datamax]\)[data]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(NormalizeFunction[f_, {a_ /; NumberQ[a], b_ /; NumberQ[b]}] := 
      Module[{n, s, h, valmin, valmax}, \[IndentingNewLine]If[a > b, h = a; 
          a = b; b = h]; \[IndentingNewLine]n = 
          Ceiling[4 + 
              Log[b - a]/Log[10]]; \[IndentingNewLine]s = \((b - 
                a)\)*10^\((\(-n\))\); \[IndentingNewLine]vals = 
          Table[f[a + j*s], {j, 0, 10^n}]; \[IndentingNewLine]{valmin, 
            valmax} = {Min[vals], Max[vals]}; \[IndentingNewLine]Function[
          x, \((f[x] - valmin)\)/\((valmax - 
                valmin)\)]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Gruppe 2: Nutzenfunktionen", "Subsubsection",
  InitializationCell->True],

Cell[BoxData[
    \(LinUtility[k0_ /; NumberQ[k0], k1_ /; NumberQ[k1], opts___?OptionQ] := 
      Module[{h, opt, a, b, nm = False}, \[IndentingNewLine]opt = 
          UtilityFunctionOpt[opts]; \[IndentingNewLine]If[
          opt[\([1]\)], {a, b} = opt[\([2]\)]; 
          nm = True]; \[IndentingNewLine]If[
          nm \[Equal] False || a \[Equal] b, 
          Function[x, k0 + k1*x], \[IndentingNewLine]If[a > b, h = a; a = b; 
            b = h]; \[IndentingNewLine]Which[\[IndentingNewLine]k1 > 0, 
            Function[x, \((x - a)\)/\((b - a)\)], \[IndentingNewLine]k1 < 0, 
            Function[
              x, \((x - b)\)/\((a - b)\)], \[IndentingNewLine]k1 \[Equal] 
              0, \ If[k0 > 0, Function[x, 1], 
              Function[x, 
                0]]\[IndentingNewLine]]]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(QuadUtility[k0_ /; NumberQ[k0], k1_ /; NumberQ[k1], k2_ /; NumberQ[k2], 
        opts___?OptionQ] := 
      Module[{h, opt, a, b, xm, nm = False, ufkt}, \[IndentingNewLine]opt = 
          UtilityFunctionOpt[opts]; \[IndentingNewLine]If[
          opt[\([1]\)], {a, b} = opt[\([2]\)]; 
          nm = True]; \[IndentingNewLine]ufkt = 
          Function[x, k0 + k1*x + k2*x^2]; \[IndentingNewLine]If[
          nm \[Equal] False || a \[Equal] b, 
          ufkt, \[IndentingNewLine]If[a > b, h = a; a = b; 
            b = h]; \[IndentingNewLine]If[k2 \[NotEqual] 0, 
            xm = \(-k1\)/\((2*k2)\), 
            Return[ufkt]]; \[IndentingNewLine]Which[\[IndentingNewLine]\((k2 \
> 0)\) && \((a \[GreaterEqual] xm)\), xmin = a; 
            xmax = b, \[IndentingNewLine]\((k2 > 0)\) && \((b \[LessEqual] \ 
                  xm)\), xmin = b; 
            xmax = a, \[IndentingNewLine]\((k2 > 0)\) && \((a < xm < b)\), 
            xmin = xm; 
            xmax = If[ufkt[a] > ufkt[b], a, 
                b], \[IndentingNewLine]\((k2 < 0)\) && \((a \[GreaterEqual] 
                  xm)\), xmin = b; 
            xmax = a, \[IndentingNewLine]\((k2 < 0)\) && \((b \[LessEqual] \ 
                  xm)\), xmin = a; 
            xmax = b, \[IndentingNewLine]\((k2 < 0)\) && \((a < xm < b)\), 
            xmin = If[ufkt[a] < ufkt[b], a, b]; 
            xmax = xm\[IndentingNewLine]] (*\ 
            End\ Which\ *) ; \[IndentingNewLine]Function[
            x, \((ufkt[x] - ufkt[xmin])\)/\((ufkt[xmax] - 
                  ufkt[xmin])\)]\[IndentingNewLine]]\  (*\ 
          End\ If\ *) \[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(ExpUtility[k0_ /; NumberQ[k0], k1_ /; NumberQ[k1], k2_ /; NumberQ[k2], 
        opts___?OptionQ] := 
      Module[{h, opt, a, b, nm = False, ufkt}, \[IndentingNewLine]opt = 
          UtilityFunctionOpt[opts]; \[IndentingNewLine]If[
          opt[\([1]\)], {a, b} = opt[\([2]\)]; 
          nm = True]; \[IndentingNewLine]ufkt = 
          Function[x, k0 + k1*Exp[k2*x]]; \[IndentingNewLine]If[
          k1*k2 \[Equal] 0, 
          Return[If[k0 \[NotEqual] 0, Function[x, 1], 
              Function[x, 0]]]]; \[IndentingNewLine]If[nm \[Equal] False, 
          ufkt, \[IndentingNewLine]If[a > b, h = a; a = b; 
            b = h]; \[IndentingNewLine]Which[\[IndentingNewLine]k1*k2 > 0, 
            Function[
              x, \((ufkt[x] - ufkt[a])\)/\((ufkt[b] - 
                    ufkt[a])\)], \[IndentingNewLine]k1*k2 < 0, 
            Function[
              x, \((ufkt[x] - ufkt[b])\)/\((ufkt[a] - 
                    ufkt[b])\)]\[IndentingNewLine]]]\[IndentingNewLine]]\)], \
"Input",
  InitializationCell->True],

Cell[BoxData[
    \(LogUtility[k0_ /; NumberQ[k0], k1_ /; NumberQ[k1], opts___?OptionQ] := 
      Module[{h, opt, a, b, nm = False}, \[IndentingNewLine]opt = 
          UtilityFunctionOpt[opts]; \[IndentingNewLine]If[
          opt[\([1]\)], {a, b} = opt[\([2]\)]; 
          nm = True]; \[IndentingNewLine]If[\((nm \[Equal] 
                False)\) || \((a \[LessEqual] \ 0)\) || \((b \[LessEqual] \ 
                0)\), Function[x, k0 + k1*Log[x]], \[IndentingNewLine]If[
            a > b, h = a; a = b; 
            b = h]; \[IndentingNewLine]Which[\[IndentingNewLine]k1 > 0, 
            Function[
              x, \((Log[x] - Log[a])\)/\((Log[b] - 
                    Log[a])\)], \[IndentingNewLine]k1 < 0, 
            Function[
              x, \((Log[x] - Log[b])\)/\((Log[a] - 
                    Log[b])\)]\[IndentingNewLine]]]\[IndentingNewLine]]\)], \
"Input",
  InitializationCell->True],

Cell[BoxData[
    \(SqrtUtility[k0_ /; NumberQ[k0], k1_ /; NumberQ[k1], opts___?OptionQ] := 
      Module[{h, opt, a, b, nm = False}, \[IndentingNewLine]opt = 
          UtilityFunctionOpt[opts]; \[IndentingNewLine]If[
          opt[\([1]\)], {a, b} = opt[\([2]\)]; 
          nm = True]; \[IndentingNewLine]If[\((nm \[Equal] 
                False)\) || \((a < \ 0)\) || \((b < \ 0)\), 
          Function[x, k0 + k1*Sqrt[x]], \[IndentingNewLine]If[a > b, h = a; 
            a = b; b = h]; \[IndentingNewLine]Which[\[IndentingNewLine]k1 > 
              0, Function[
              x, \((Sqrt[x] - Sqrt[a])\)/\((Sqrt[b] - 
                    Sqrt[a])\)], \[IndentingNewLine]k1 < 0, 
            Function[
              x, \((Sqrt[x] - Sqrt[b])\)/\((Sqrt[a] - 
                    Sqrt[b])\)]\[IndentingNewLine]]]\[IndentingNewLine]]\)], \
"Input",
  InitializationCell->True],

Cell[BoxData[
    \(CompoundUtility[scores_List /; VectorQ[scores, NumberQ], 
        maxscore_ /; NumberQ[maxscore], 
        weights_List /; 
          VectorQ[weights, NumberQ]] := \[IndentingNewLine]\((scores/
            maxscore)\) . \((weights/Plus @@ weights)\)\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Gruppe 3: Zahlungsreihen", "Subsubsection",
  InitializationCell->True],

Cell[BoxData[
    \(PresentValue[c_List /; VectorQ[c, NumberQ], q_List] := 
      Module[{df = 1, gpv = c[\([1]\)]}, \[IndentingNewLine]If[
          Length[q] \[GreaterEqual] Length[c] - 1, \[IndentingNewLine]Do[
            df = df*q[\([j - 1]\)]; 
            gpv = gpv + c[\([j]\)]/df, {j, 2, 
              Length[c]}]; \[IndentingNewLine]gpv\ ]\[IndentingNewLine]]\)], \
"Input",
  InitializationCell->True],

Cell[BoxData[
    \(PresentValueAtRate[c_List /; VectorQ[c, NumberQ], r_] := 
      PresentValue[c, Table[1 + r, {Length[c] - 1\ }]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(PresentValueGraph[c_List /; VectorQ[c, NumberQ], 
        rmin_ /; NumberQ[rmin], rmax_ /; NumberQ[rmax], opts___?OptionQ] := 
      Module[{pstyle}, \[IndentingNewLine]pstyle = \(PlotStyle /. {opts}\) /. 
            Options[PresentValueGraph]; \[IndentingNewLine]Plot[
          PresentValueAtRate[c, r], {r, rmin, rmax}, 
          PlotStyle \[Rule] pstyle];\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(InterestRatePoly[c_List] := 
      Function[r, 
        Simplify[
          Expand[PresentValueAtRate[c, 
                r] \((1 + r)\)^\((Length[c] - 1)\)]]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(InterestRateRealZeros[c_List /; VectorQ[c, NumberQ]] := 
      Cases[r /. NSolve[\(InterestRatePoly[c]\)[r] \[Equal] 0, 
            r], _Real]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(InternalRate[c_List /; VectorQ[c, NumberQ], rstart_:  0] := 
      r /. FindRoot[
          PresentValueAtRate[c, r] \[Equal] 0, {r, rstart}]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(PositiveInvestmentQ[
        c_List /; Plus @@ N[c] > 0] := \((SignChanges[
            TransformedCashflow[c]] == 1)\)\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Gruppe 4: Entscheidungsmethoden", "Subsubsection",
  InitializationCell->True],

Cell[BoxData[
    \(HurwiczValue[u_List /; VectorQ[u, NumberQ], 
        lambda_ /; NumberQ[lambda]] := 
      lambda*Max[u] + \((1 - lambda)\)*Min[u]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(HurwiczSolve[u_List /; MatrixQ[u, NumberQ], 
        lambda_ /; NumberQ[lambda]] := 
      Module[{uhurwtab}, \[IndentingNewLine]uhurwtab = 
          Table[HurwiczValue[u[\([i]\)], lambda], {i, 1, 
              Length[u]}]; \[IndentingNewLine]DisplaySolutions[
          uhurwtab]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(MaximinSolve[u_List /; MatrixQ[u, NumberQ]] := 
      HurwiczSolve[u, 0]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(MaximaxSolve[u_List /; MatrixQ[u, NumberQ]] := 
      HurwiczSolve[u, 1]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(RegretMatrix[u_List /; MatrixQ[u, NumberQ]] := 
      Module[{usterntab, utrans}, \[IndentingNewLine]utrans = 
          Transpose[u]; \[IndentingNewLine]usterntab = 
          Table[Max[utrans[\([j]\)]], {j, 1, 
              Length[utrans]}]; \[IndentingNewLine]Table[
          u[\([i]\)] - usterntab, {i, 1, 
            Length[u]}]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(SavageSolve[u_List /; MatrixQ[u, NumberQ]] := 
      Module[{rm, regmintab}, \[IndentingNewLine]rm = 
          RegretMatrix[u]; \[IndentingNewLine]regmintab = 
          Table[Min[rm[\([i]\)]], {i, 1, 
              Length[rm]}]; \[IndentingNewLine]DisplaySolutions[
          regmintab]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(Expectation[c_List /; VectorQ[N[c], NumberQ], 
        prob_List /; Plus @@ prob \[Equal] 1] := N[c] . N[prob]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(ExpectedUtility[u_, c_, prob_] := Expectation[u[N[c]], prob]\)], "Input",\

  InitializationCell->True],

Cell[BoxData[
    \(BernoulliSolve[u_List /; MatrixQ[u, NumberQ], prob_List] := 
      Module[{uexvaltab}, \[IndentingNewLine]uexvaltab = 
          Table[Expectation[u[\([i]\)], prob], {i, 1, 
              Length[u]}]; \[IndentingNewLine]DisplaySolutions[
          uexvaltab]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(LaplaceSolve[u_List /; MatrixQ[u, NumberQ]] := 
      Module[{n = Length[Transpose[u]]}, \[IndentingNewLine]BernoulliSolve[u, 
          Table[1/n, {n}]]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Gruppe 5: Risikoanalyse", "Subsubsection",
  InitializationCell->True],

Cell[BoxData[
    \(CertaintyEquivalent[u_, {cmin_, cmax_}, c_List /; VectorQ[c, NumberQ], 
        prob_List] := 
      x /. FindRoot[
          u[x] \[Equal] ExpectedUtility[u, c, prob], {x, \((cmin + cmax)\)/2, 
            cmin, cmax}]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(RiskPremium[u_, {cmin_, cmax_}, c_, prob_] := 
      Expectation[c, prob] - 
        CertaintyEquivalent[u, {cmin, cmax}, c, prob]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(AbsoluteRiskFunction[u_] := 
      Function[x, \(-D[u[x], {x, 2}]\)/D[u[x], x]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(RelativeRiskFunction[u_] := 
      Function[x, \(-D[u[x], {x, 2}]\)*x/D[u[x], x]]\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Gruppe 6: Zweipersonenspiele", "Subsubsection",
  InitializationCell->True],

Cell[BoxData[
    \(ReduceLines[m_List] := 
      Module[{mat = m, dpl, 
          dplall = {}}, \[IndentingNewLine]Do[\[IndentingNewLine]dpl = 
            DominationPositionList[mat[\([i]\)], 
              mat]; \[IndentingNewLine]dpl = 
            Select[dpl, # \[NotEqual] \ {i} &]; \[IndentingNewLine]dplall = 
            Union[dplall, dpl], \[IndentingNewLine]{i, 1, 
            Length[mat]}\[IndentingNewLine]]; \[IndentingNewLine]Return[
          Delete[mat, dplall]]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(ReduceColumns[m_List] := 
      Module[{mat = \(-m\)}, \[IndentingNewLine]\(-Transpose[
            ReduceLines[Transpose[mat]]]\)\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(MaximinSet[g_List /; MatrixQ[g, NumberQ]] := 
      Module[{alphav, alphatab}, \[IndentingNewLine]alphatab = 
          Table[Min[g[\([i]\)]], {i, 1, 
              Length[g]}]; \[IndentingNewLine]alphav = 
          Max[alphatab]; \[IndentingNewLine]alphaposlist = 
          Flatten[Position[alphatab, alphav]]; \[IndentingNewLine]{alphav, 
          alphaposlist}\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(MinimaxSet[g_List /; MatrixQ[g, NumberQ]] := 
      Module[{betav, betatab}, \[IndentingNewLine]betatab = 
          Table[Max[\(Transpose[g]\)[\([j]\)]], {j, 1, 
              Length[Transpose[g]]}]; \[IndentingNewLine]betav = 
          Min[betatab]; \[IndentingNewLine]betaposlist = 
          Flatten[Position[betatab, betav]]; \[IndentingNewLine]{betav, 
          betaposlist}\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(SaddlepointSolution[g_] := 
      Module[{ma, mi, vals, v}, \[IndentingNewLine]mi = 
          MinimaxSet[g]; \[IndentingNewLine]ma = 
          MaximinSet[g]; \[IndentingNewLine]vals = 
          Union[{First[mi], First[ma]}]; \[IndentingNewLine]If[
          Length[vals] \[Equal] 1, {vals[\([1]\)], 
            Flatten[Outer[List, Flatten[Rest[mi]], Flatten[Rest[ma]]], 
              1]}, {}]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(MixedStrategySolution[g_] := 
      Module[{ga = Transpose[g], gb = \(-g\), \ psa, psb, va, vb, a1, b1, x, 
          y}, \[IndentingNewLine] (*\ 
          Spielmatrizen\ positiv\ machen\ *) \[IndentingNewLine]psa = 
          PositiveShift[ga]; \[IndentingNewLine]psb = 
          PositiveShift[gb]; \[IndentingNewLine]ga = ga + psa; \ 
        gb = gb + psb; \[IndentingNewLine] (*\ 
          rechte\ Seiten\ f\[UDoubleDot]r\ die\ Ungleichungen\ \
*) \[IndentingNewLine]a1 = Table[1, {Length[ga]}]; \[IndentingNewLine]b1 = 
          Table[1, {Length[gb]}]; \[IndentingNewLine] (*\ 
          L\[ODoubleDot]sungen\ f\[UDoubleDot]r\ Spieler\ A\ und\ B\ \
*) \[IndentingNewLine]x = 
          LinearProgramming[b1, ga, a1]; \[IndentingNewLine]y = 
          LinearProgramming[a1, gb, 
            b1]; \[IndentingNewLine]va = \((1/Plus @@ x)\); 
        vb = \((1/Plus @@ y)\); \[IndentingNewLine] (*\ Wert\ des\ Spiels, \ 
          Strategie\ A, \ Strategie\ B\ *) \[IndentingNewLine]{va - psa, 
          x*va, y*vb}\[IndentingNewLine]]\)], "Input",
  InitializationCell->True]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ende des privaten Kontextes", "Subsection",
  InitializationCell->True],

Cell["End[ ]", "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Epilog", "Section",
  InitializationCell->True],

Cell[CellGroupData[{

Cell["Schutz der exportierten Symbole", "Subsection"],

Cell["\<\
Protect[\"UtilityFunctionOpt\",\"DisplaySolutions\",\"Expectation\",\
\"SignChanges\",\"DecisionMatrix\",\"ScaleTransform\",\"ScaleNorm\",\"\
NormalizeValue\",\"NormalizeRange\",\"NormalizeFunction\",\"LinUtility\",\"\
QuadUtility\",\"ExpUtility\",\"LogUtility\",\"SqrtUtility\",\"PresentValue\",\
\"PresentValueAtRate\",\"PresentValueGraph\",\"InterestRatePoly\",\"\
InterestRateRealZeros\",\"InternalRate\",\"PositiveInvestmentQ\",\"\
TransformedCashflow\",\"HurwiczValue\",\"HurwiczSolve\",\"MaximinSolve\",\"\
MaximaxSolve\",\"RegretMatrix\",\"SavageSolve\",\"ExpectedUtility\",\"\
BernoulliSolve\",\"LaplaceSolve\",\"CertaintyEquivalent\",\"RiskPremium\",\"\
AbsoluteRiskFunction\",\"RelativeRiskFunction\",\"DominatesQ\",\"\
DominationList\",\"DominationPositionList\",\"PositiveShift\",\"ReduceLines\",\
\"ReduceColumns\",\"ReduceAll\",\"MaximinSet\",\"MinimaxSet\",\"\
SaddlepointSolution\",\"MixedStrategySolution\"]\
\>", "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ende des Paket-Kontextes", "Subsection",
  InitializationCell->True],

Cell[BoxData[
    \(EndPackage[]\)], "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 936}},
AutoGeneratedPackage->Automatic,
CellGrouping->Automatic,
WindowSize->{1270, 904},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2,
StyleDefinitions -> "Classroom.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 140, 3, 131, "Title"],
Cell[1897, 56, 280, 8, 113, "Subsubtitle"],

Cell[CellGroupData[{
Cell[2202, 68, 27, 0, 121, "Section"],

Cell[CellGroupData[{
Cell[2254, 72, 30, 0, 88, "Subsubsection"],
Cell[2287, 74, 73, 1, 53, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2397, 80, 30, 0, 88, "Subsubsection"],
Cell[2430, 82, 32, 0, 53, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2499, 87, 41, 0, 88, "Subsubsection"],
Cell[2543, 89, 166, 4, 53, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2746, 98, 34, 0, 88, "Subsubsection"],
Cell[2783, 100, 116, 3, 53, "Text"],
Cell[2902, 105, 234, 3, 86, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3173, 113, 41, 0, 88, "Subsubsection"],
Cell[3217, 115, 19, 0, 53, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3273, 120, 101, 4, 88, "Subsubsection"],
Cell[3377, 126, 19, 0, 53, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3433, 131, 32, 0, 88, "Subsubsection"],
Cell[3468, 133, 77, 3, 98, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3582, 141, 64, 0, 88, "Subsubsection"],
Cell[3649, 143, 246, 5, 86, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3932, 153, 32, 0, 88, "Subsubsection"],
Cell[3967, 155, 987, 26, 186, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4991, 186, 32, 0, 88, "Subsubsection"],
Cell[5026, 188, 406, 13, 121, "Text"],
Cell[5435, 203, 76, 1, 95, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5560, 210, 56, 1, 121, "Section",
  InitializationCell->True],
Cell[5619, 213, 123, 3, 53, "Text"],

Cell[CellGroupData[{
Cell[5767, 220, 74, 1, 100, "Subsection",
  InitializationCell->True],
Cell[5844, 223, 93, 1, 93, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[5974, 229, 114, 2, 100, "Subsection",
  InitializationCell->True],

Cell[CellGroupData[{
Cell[6113, 235, 52, 0, 88, "Subsubsection"],
Cell[6168, 237, 216, 4, 163, "Input",
  InitializationCell->True],
Cell[6387, 243, 234, 4, 197, "Input",
  InitializationCell->True],
Cell[6624, 249, 222, 4, 163, "Input",
  InitializationCell->True],
Cell[6849, 255, 260, 4, 197, "Input",
  InitializationCell->True],
Cell[7112, 261, 221, 4, 163, "Input",
  InitializationCell->True],
Cell[7336, 267, 232, 4, 163, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[7605, 276, 51, 0, 68, "Subsubsection"],
Cell[7659, 278, 282, 5, 197, "Input",
  InitializationCell->True],
Cell[7944, 285, 171, 3, 163, "Input",
  InitializationCell->True],
Cell[8118, 290, 171, 3, 163, "Input",
  InitializationCell->True],
Cell[8292, 295, 268, 4, 197, "Input",
  InitializationCell->True],
Cell[8563, 301, 272, 4, 197, "Input",
  InitializationCell->True],
Cell[8838, 307, 378, 6, 265, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[9253, 318, 49, 0, 68, "Subsubsection"],
Cell[9305, 320, 281, 5, 197, "Input",
  InitializationCell->True],
Cell[9589, 327, 209, 4, 163, "Input",
  InitializationCell->True],
Cell[9801, 333, 195, 3, 163, "Input",
  InitializationCell->True],
Cell[9999, 338, 181, 3, 163, "Input",
  InitializationCell->True],
Cell[10183, 343, 231, 4, 197, "Input",
  InitializationCell->True],
Cell[10417, 349, 260, 4, 197, "Input",
  InitializationCell->True],
Cell[10680, 355, 250, 4, 197, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[10967, 364, 56, 0, 68, "Subsubsection"],
Cell[11026, 366, 202, 4, 163, "Input",
  InitializationCell->True],
Cell[11231, 372, 247, 4, 197, "Input",
  InitializationCell->True],
Cell[11481, 378, 253, 4, 163, "Input",
  InitializationCell->True],
Cell[11737, 384, 252, 4, 163, "Input",
  InitializationCell->True],
Cell[11992, 390, 210, 4, 163, "Input",
  InitializationCell->True],
Cell[12205, 396, 256, 4, 197, "Input",
  InitializationCell->True],
Cell[12464, 402, 237, 4, 163, "Input",
  InitializationCell->True],
Cell[12704, 408, 242, 4, 197, "Input",
  InitializationCell->True],
Cell[12949, 414, 314, 5, 231, "Input",
  InitializationCell->True],
Cell[13266, 421, 293, 5, 197, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[13596, 431, 48, 0, 68, "Subsubsection"],
Cell[13647, 433, 335, 5, 231, "Input",
  InitializationCell->True],
Cell[13985, 440, 423, 6, 265, "Input",
  InitializationCell->True],
Cell[14411, 448, 287, 5, 197, "Input",
  InitializationCell->True],
Cell[14701, 455, 312, 5, 231, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[15050, 465, 53, 0, 68, "Subsubsection"],
Cell[15106, 467, 167, 3, 163, "Input",
  InitializationCell->True],
Cell[15276, 472, 172, 3, 163, "Input",
  InitializationCell->True],
Cell[15451, 477, 259, 4, 197, "Input",
  InitializationCell->True],
Cell[15713, 483, 275, 5, 197, "Input",
  InitializationCell->True],
Cell[15991, 490, 318, 5, 197, "Input",
  InitializationCell->True],
Cell[16312, 497, 279, 5, 197, "Input",
  InitializationCell->True]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[16640, 508, 66, 0, 64, "Subsection"],

Cell[CellGroupData[{
Cell[16731, 512, 51, 0, 88, "Subsubsection"],
Cell[16785, 514, 123, 3, 95, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[16945, 522, 49, 0, 68, "Subsubsection"],
Cell[16997, 524, 236, 5, 197, "Input",
  InitializationCell->True]
}, Closed]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[17294, 536, 62, 1, 121, "Section",
  InitializationCell->True],
Cell[17359, 539, 154, 3, 53, "Text"],

Cell[CellGroupData[{
Cell[17538, 546, 102, 1, 100, "Subsection",
  InitializationCell->True],
Cell[17643, 549, 65, 1, 93, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[17745, 555, 75, 0, 100, "Subsection"],

Cell[CellGroupData[{
Cell[17845, 559, 51, 0, 88, "Subsubsection"],
Cell[17899, 561, 395, 8, 265, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[18331, 574, 49, 0, 68, "Subsubsection"],
Cell[18383, 576, 288, 5, 163, "Input",
  InitializationCell->True],
Cell[18674, 583, 389, 7, 265, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[19100, 595, 56, 0, 68, "Subsubsection"],
Cell[19159, 597, 147, 3, 129, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[19343, 605, 53, 0, 68, "Subsubsection"],
Cell[19399, 607, 199, 4, 129, "Input",
  InitializationCell->True],
Cell[19601, 613, 192, 4, 129, "Input",
  InitializationCell->True],
Cell[19796, 619, 401, 7, 299, "Input",
  InitializationCell->True],
Cell[20200, 628, 268, 5, 231, "Input",
  InitializationCell->True]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[20517, 639, 88, 1, 64, "Subsection",
  InitializationCell->True],

Cell[CellGroupData[{
Cell[20630, 644, 80, 1, 88, "Subsubsection",
  InitializationCell->True],
Cell[20713, 647, 148, 3, 129, "Input",
  InitializationCell->True],
Cell[20864, 652, 533, 9, 333, "Input",
  InitializationCell->True],
Cell[21400, 663, 147, 3, 95, "Input",
  InitializationCell->True],
Cell[21550, 668, 197, 5, 129, "Input",
  InitializationCell->True],
Cell[21750, 675, 248, 5, 197, "Input",
  InitializationCell->True],
Cell[22001, 682, 644, 11, 367, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[22682, 698, 79, 1, 68, "Subsubsection",
  InitializationCell->True],
Cell[22764, 701, 858, 15, 469, "Input",
  InitializationCell->True],
Cell[23625, 718, 1672, 30, 707, "Input",
  InitializationCell->True],
Cell[25300, 750, 1043, 20, 503, "Input",
  InitializationCell->True],
Cell[26346, 772, 906, 17, 435, "Input",
  InitializationCell->True],
Cell[27255, 791, 877, 16, 435, "Input",
  InitializationCell->True],
Cell[28135, 809, 310, 6, 197, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[28482, 820, 77, 1, 68, "Subsubsection",
  InitializationCell->True],
Cell[28562, 823, 413, 8, 265, "Input",
  InitializationCell->True],
Cell[28978, 833, 173, 3, 129, "Input",
  InitializationCell->True],
Cell[29154, 838, 442, 7, 265, "Input",
  InitializationCell->True],
Cell[29599, 847, 220, 6, 129, "Input",
  InitializationCell->True],
Cell[29822, 855, 204, 4, 129, "Input",
  InitializationCell->True],
Cell[30029, 861, 202, 4, 129, "Input",
  InitializationCell->True],
Cell[30234, 867, 180, 4, 129, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[30451, 876, 84, 1, 68, "Subsubsection",
  InitializationCell->True],
Cell[30538, 879, 191, 4, 129, "Input",
  InitializationCell->True],
Cell[30732, 885, 363, 7, 231, "Input",
  InitializationCell->True],
Cell[31098, 894, 133, 3, 95, "Input",
  InitializationCell->True],
Cell[31234, 899, 133, 3, 95, "Input",
  InitializationCell->True],
Cell[31370, 904, 417, 8, 265, "Input",
  InitializationCell->True],
Cell[31790, 914, 369, 7, 265, "Input",
  InitializationCell->True],
Cell[32162, 923, 171, 3, 129, "Input",
  InitializationCell->True],
Cell[32336, 928, 123, 3, 95, "Input",
  InitializationCell->True],
Cell[32462, 933, 339, 6, 231, "Input",
  InitializationCell->True],
Cell[32804, 941, 234, 4, 197, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[33075, 950, 76, 1, 68, "Subsubsection",
  InitializationCell->True],
Cell[33154, 953, 280, 6, 197, "Input",
  InitializationCell->True],
Cell[33437, 961, 191, 4, 129, "Input",
  InitializationCell->True],
Cell[33631, 967, 140, 3, 95, "Input",
  InitializationCell->True],
Cell[33774, 972, 142, 3, 95, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[33953, 980, 81, 1, 68, "Subsubsection",
  InitializationCell->True],
Cell[34037, 983, 541, 10, 367, "Input",
  InitializationCell->True],
Cell[34581, 995, 211, 4, 163, "Input",
  InitializationCell->True],
Cell[34795, 1001, 447, 8, 299, "Input",
  InitializationCell->True],
Cell[35245, 1011, 463, 8, 299, "Input",
  InitializationCell->True],
Cell[35711, 1021, 478, 9, 333, "Input",
  InitializationCell->True],
Cell[36192, 1032, 1102, 19, 605, "Input",
  InitializationCell->True]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[37343, 1057, 77, 1, 100, "Subsection",
  InitializationCell->True],
Cell[37423, 1060, 51, 1, 93, "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[37523, 1067, 53, 1, 121, "Section",
  InitializationCell->True],

Cell[CellGroupData[{
Cell[37601, 1072, 53, 0, 100, "Subsection"],
Cell[37657, 1074, 978, 15, 383, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[38672, 1094, 74, 1, 100, "Subsection",
  InitializationCell->True],
Cell[38749, 1097, 73, 2, 95, "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

